Subject: bug#44418: 28.0.50; Spliced variable not matched as symbol in isearch

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jul 2023 09:07:26 +0300

> Cc: Basil Contovounesios <[email-masked]>, [email-masked],
>  Lars Ingebrigtsen <[email-masked]>, [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Sat, 8 Jul 2023 16:48:57 -0700
> 
> I agree that it’s easy to figure out what does the detached @ syntax mean. I mainly just don’t like having two ways to do the same thing.
> 
> Since I don’t use search symbol myself, I can’t grasp the importance of it. You apparently care about it enough to go this far, and I’m willing to take your word for it.
> 
> You mentioned sexp queries, which reminded me that using the detached syntax would allow people to interpolate capture names with quasi quotes. That’s a plus for the detached syntax.
> 
> Ultimately I’m still on the fence for this. But if you still want to add it, please go ahead :-)

I'd like to hear Stefan's opinion on this, before we make such a
change (if we make it).